package models

type CSurveysheetSubjectlst struct {
	Cid               int                     `json:"cid" xorm:"not null pk comment('公司ID') INT(11)"`
	Cnr               int                     `json:"cnr" xorm:"not null pk comment('小区编号') INT(11)"`
	Surveysheetid     string                  `json:"surveysheetid" xorm:"not null pk comment('调研问卷流水号') VARCHAR(40)"`
	Subjectid         string                  `json:"subjectid" xorm:"not null pk comment('问题ID') VARCHAR(20)"`
	Pos               int                     `json:"pos" xorm:"not null comment('问题在调研问卷中的顺序号') INT(11)"`
	Subjecttext       string                  `json:"subjecttext" xorm:"not null comment('题目内容') VARCHAR(255)"`
	Subjectpicture    string                  `json:"subjectpicture" xorm:"default 'NULL' comment('题目图片') VARCHAR(255)"`
	Subjectvideo      string                  `json:"subjectvideo" xorm:"default 'NULL' comment('题目视频') VARCHAR(255)"`
	Subjecttype       string                  `json:"subjecttype" xorm:"default 'NULL' comment('问题类型，单选多选...') VARCHAR(10)"`
	SubjectCategoryid string                  `json:"subject_categoryid" xorm:"not null comment('问题类别') VARCHAR(10)"`
	Level             int                     `json:"level" xorm:"not null comment('级别') INT(10)"`
	Fsubjectid        string                  `json:"fsubjectid" xorm:"not null comment('父类题目') VARCHAR(10)"`
	Condition         string                  `json:"condition" xorm:"not null comment('问题类别') VARCHAR(10)"`
	Createtime        string                  `json:"createtime" xorm:"default 'NULL' comment('创建时间') VARCHAR(40)"`
	Lastmodifytime    string                  `json:"lastmodifytime" xorm:"default 'NULL' comment('最近更新时间') VARCHAR(40)"`
	Lastmodifyby      string                  `json:"lastmodifyby" xorm:"default 'NULL' comment('修改人员') VARCHAR(40)"`
	Valst             []CSurveysheetOptionlst `json:"valst" xorm:"-"`
}

func (t *CSurveysheetSubjectlst) TableName() string {
	return "c_surveysheet_subjectlst"
}
