package models

import (
	"lapp_-wy/db"
)

type WfApprover struct {
	Approvalmodelid int    `json:"approvalmodelid" xorm:"not null pk INT(11)"`
	Approvallevel   int    `json:"approvallevel" xorm:"not null pk INT(11)"`
	Approver        string `json:"approver" xorm:"not null pk VARCHAR(20)"`
	Mustapproval    int    `json:"mustapproval" xorm:"default NULL INT(11)"`
}

func (t *WfApprover) TableName() string {
	return "wf_approver"
}

//判断是否有审核权限
func (t *WfApprover) AuditInfoRole() bool {
	e := db.MasterEngine()
	ok, err := e.Table("wf_approver").Where("approver = ? and approvallevel = ? and approvalmodelid = ?",t.Approver, t.Approvallevel, t.Approvalmodelid).Get(t)
	if err != nil || !ok {
		return false
	} else {
		return true
	}
}
